Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1976640

Summary: Review Request: python-lfpykit - Electrostatic models for multicompartment neuron models
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Aniket Pradhan <aniketpradhan1999>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aniketpradhan1999, mhroncok, package-review
Target Milestone: ---Flags: aniketpradhan1999: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-lfpykit-0.3-2.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-01 13:37:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941, 1950305    

Description Ankur Sinha (FranciscoD) 2021-06-27 19:10:30 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-lfpykit/python-lfpykit.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-lfpykit/python-lfpykit-0.3-1.fc34.src.rpm

Description: 
This Python module contain freestanding implementations of electrostatic
forward models incorporated in LFPy (https://github.com/LFPy/LFPy,
https://LFPy.readthedocs.io).

The aim of the LFPykit module is to provide electrostatic models in a manner
that facilitates forward-model predictions of extracellular potentials and
related measures from multicompartment neuron models, but without explicit
dependencies on neural simulation software such as NEURON
(https://neuron.yale.edu, https://github.com/neuronsimulator/nrn), Arbor
(https://arbor.readthedocs.io, https://github.com/arbor-sim/arbor), or even
LFPy. The LFPykit module can then be more easily incorporated with these
simulators, or in various projects that utilize them such as LFPy
(https://LFPy.rtfd.io, https://github.com/LFPy/LFPy). BMTK
(https://alleninstitute.github.io/bmtk/,
https://github.com/AllenInstitute/bmtk), etc.

Its main functionality is providing class methods that return two-dimensional
linear transformation matrices M between transmembrane currents I of
multicompartment neuron models and some measurement Y given by Y=MI.

The presently incorporated volume conductor models have been incorporated in
LFPy (https://LFPy.rtfd.io, https://github.com/LFPy/LFPy), as described in
various papers and books:

- Linden H, Hagen E, Leski S, Norheim ES, Pettersen KH, Einevoll GT (2014) LFPy:
a tool for biophysical simulation of extracellular potentials generated by
detailed model neurons. Front. Neuroinform. 7:41. doi: 10.3389/fninf.2013.00041

- Hagen E, Næss S, Ness TV and Einevoll GT (2018) Multimodal Modeling of Neural
Network Activity: Computing LFP, ECoG, EEG, and MEG Signals With LFPy 2.0.
Front. Neuroinform. 12:92. doi: 10.3389/fninf.2018.00092

- Ness, T. V., Chintaluri, C., Potworowski, J., Leski, S., Glabska, H., Wójcik,
D. K., et al. (2015). Modelling and analysis of electrical potentials recorded
in microelectrode arrays (MEAs). Neuroinformatics 13:403–426. doi:
10.1007/s12021-015-9265-6

- Nunez and Srinivasan, Oxford University Press, 2006

- Næss S, Chintaluri C, Ness TV, Dale AM, Einevoll GT and Wójcik DK (2017).
Corrected Four-sphere Head Model for EEG Signals. Front. Hum. Neurosci. 11:490.
doi: 10.3389/fnhum.2017.00490

Fedora Account System Username: ankursinha

Comment 1 Aniket Pradhan 2021-07-01 09:02:27 UTC
Hey Ankur!

The package is perfect, and I was not able to find any flaws in it. Approved.

Below is the automated fedora review.

=============================================

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License", "*No copyright* GNU General Public License v3.0 or later",
     "GNU General Public License v3.0 or later". 22 files have unknown
     license. Detailed output of licensecheck in
     /home/major/Documents/NeuroFedora/review/1976640-python-
     lfpykit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-LFPykit
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-LFPykit-0.3-1.fc35.noarch.rpm
          python-lfpykit-doc-0.3-1.fc35.noarch.rpm
          python-lfpykit-0.3-1.fc35.src.rpm
python3-LFPykit.noarch: W: spelling-error Summary(en_US) multicompartment -> compartmentalize, compartmentalization, compartmental
python3-LFPykit.noarch: W: spelling-error %description -l en_US extracellular -> extra cellular, extra-cellular, extracurricular
python3-LFPykit.noarch: W: spelling-error %description -l en_US multicompartment -> compartmentalize, compartmentalization, compartmental
python3-LFPykit.noarch: W: spelling-error %description -l en_US transmembrane -> trans membrane, trans-membrane, transmittance
python3-LFPykit.noarch: W: spelling-error %description -l en_US Neuroinform -> Uninformative
python3-LFPykit.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
python3-LFPykit.noarch: W: spelling-error %description -l en_US fninf -> inf
python3-LFPykit.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-LFPykit.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python3-LFPykit.noarch: W: spelling-error %description -l en_US Modelling -> Modeling, Model ling, Model-ling
python3-LFPykit.noarch: W: spelling-error %description -l en_US microelectrode -> micro electrode, micro-electrode, microelectronic
python3-LFPykit.noarch: W: spelling-error %description -l en_US Neuroinformatics -> Informativeness
python3-LFPykit.noarch: W: spelling-error %description -l en_US Neurosci -> Neurosis
python3-LFPykit.noarch: W: spelling-error %description -l en_US fnhum -> inhuman
python-lfpykit-doc.noarch: W: spelling-error Summary(en_US) multicompartment -> compartmentalize, compartmentalization, compartmental
python-lfpykit-doc.noarch: W: description-shorter-than-summary
python-lfpykit.src: W: spelling-error Summary(en_US) multicompartment -> compartmentalize, compartmentalization, compartmental
python-lfpykit.src: W: spelling-error %description -l en_US extracellular -> extra cellular, extra-cellular, extracurricular
python-lfpykit.src: W: spelling-error %description -l en_US multicompartment -> compartmentalize, compartmentalization, compartmental
python-lfpykit.src: W: spelling-error %description -l en_US transmembrane -> trans membrane, trans-membrane, transmittance
python-lfpykit.src: W: spelling-error %description -l en_US Neuroinform -> Uninformative
python-lfpykit.src: W: spelling-error %description -l en_US doi -> dpi, do, oi
python-lfpykit.src: W: spelling-error %description -l en_US fninf -> inf
python-lfpykit.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-lfpykit.src: W: spelling-error %description -l en_US al -> AL, la, Al
python-lfpykit.src: W: spelling-error %description -l en_US Modelling -> Modeling, Model ling, Model-ling
python-lfpykit.src: W: spelling-error %description -l en_US microelectrode -> micro electrode, micro-electrode, microelectronic
python-lfpykit.src: W: spelling-error %description -l en_US Neuroinformatics -> Informativeness
python-lfpykit.src: W: spelling-error %description -l en_US Neurosci -> Neurosis
python-lfpykit.src: W: spelling-error %description -l en_US fnhum -> inhuman
3 packages and 0 specfiles checked; 0 errors, 30 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://files.pythonhosted.org/packages/source/L/LFPykit/LFPykit-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 35aa56c83e32d1477637e77886e3ae209ffca9e04890f5cc912cb7195c16d00c
  CHECKSUM(SHA256) upstream package : 35aa56c83e32d1477637e77886e3ae209ffca9e04890f5cc912cb7195c16d00c


Requires
--------
python3-LFPykit (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(meautility)
    python3.10dist(numpy)
    python3.10dist(scipy)

python-lfpykit-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-LFPykit:
    python-LFPykit
    python3-LFPykit
    python3.10-LFPykit
    python3.10dist(lfpykit)
    python3dist(lfpykit)

python-lfpykit-doc:
    python-lfpykit-doc



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1976640
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Haskell, R, SugarActivity, C/C++, Perl, Java, PHP, fonts, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2021-07-01 09:11:07 UTC
Thanks very much. Yeh, it was quite a simple one :D

I'll go request SCM now.

Comment 3 Tomas Hrcka 2021-07-01 11:10:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-lfpykit